package cn.com.ty.lift.system.user.dao.entity.model;

import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.ty.lift.system.user.dao.entity.Role;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 角色响应类
 */
@Data
public class RoleResponse {
    private Long id;//角色id
    private String name;//角色名称
    private String description;//描述
    private String createUserName;//创建人名称
    private Date createDate;//创建时间
    private List<Menu> menuList;//角色所有的菜单列表
    private List<Menu> companyMenuList;//企业菜单列表

    public RoleResponse(){}

    public RoleResponse(Role role){
        this.id = role.getId();
        this.name = role.getName();
        this.description = role.getDescription();
        this.createDate = role.getCreateTime();
    }
}
